diff --git a/src/components/dialog/content/manager/packBanner/PackBanner.vue b/src/components/dialog/content/manager/packBanner/PackBanner.vue
index 9a4631568..a7e81e8a9 100644
--- a/src/components/dialog/content/manager/packBanner/PackBanner.vue
+++ b/src/components/dialog/content/manager/packBanner/PackBanner.vue
@@ -1,5 +1,5 @@
 <template>
-  <div class="w-full aspect-[7/3] overflow-hidden">
+  <div class="w-full aspect-7/3 overflow-hidden">
     <!-- default banner show -->
     <div v-if="showDefaultBanner" class="w-full h-full">
       <img
diff --git a/src/components/dialog/content/manager/skeleton/PackCardSkeleton.vue b/src/components/dialog/content/manager/skeleton/PackCardSkeleton.vue
index 47396a0a4..fd8fbe964 100644
--- a/src/components/dialog/content/manager/skeleton/PackCardSkeleton.vue
+++ b/src/components/dialog/content/manager/skeleton/PackCardSkeleton.vue
@@ -1,10 +1,10 @@
 <template>
   <div
-    class="rounded-lg border shadow-sm h-full overflow-hidden flex flex-col"
+    class="rounded-lg shadow-sm h-full overflow-hidden flex flex-col"
     data-virtual-grid-item
   >
     <!-- Card header - flush with top, approximately 15% of height -->
-    <div class="w-full px-4 py-3 flex justify-between items-center border-b">
+    <div class="w-full px-4 py-3 flex justify-between items-center">
       <div class="flex items-center">
         <div class="w-6 h-6 flex items-center justify-center">
           <Skeleton shape="circle" width="1.5rem" height="1.5rem" />
@@ -17,7 +17,7 @@
     <!-- Card content with icon on left and text on right -->
     <div class="flex-1 p-4 flex">
       <!-- Left icon - 64x64 -->
-      <div class="flex-shrink-0 mr-4">
+      <div class="shrink-0 mr-4">
         <Skeleton width="4rem" height="4rem" border-radius="0.5rem" />
       </div>
 
@@ -42,7 +42,7 @@
     </div>
 
     <!-- Card footer - similar to header -->
-    <div class="w-full px-5 py-4 flex justify-between items-center border-t">
+    <div class="w-full px-5 py-4 flex justify-between items-center">
       <Skeleton width="4rem" height="0.8rem" />
       <Skeleton width="6rem" height="0.8rem" />
     </div>
diff --git a/src/components/dialog/content/setting/CreditsPanel.vue b/src/components/dialog/content/setting/CreditsPanel.vue
index 0931f61e6..374dfbe14 100644
--- a/src/components/dialog/content/setting/CreditsPanel.vue
+++ b/src/components/dialog/content/setting/CreditsPanel.vue
@@ -54,7 +54,7 @@
       </div>
 
       <template v-if="creditHistory.length > 0">
-        <div class="flex-grow">
+        <div class="grow">
           <DataTable :value="creditHistory" :show-headers="false">
             <Column field="title" :header="$t('g.name')">
               <template #body="{ data }">
diff --git a/src/components/dialog/content/setting/KeybindingPanel.vue b/src/components/dialog/content/setting/KeybindingPanel.vue
index 97a373421..dbe61f089 100644
--- a/src/components/dialog/content/setting/KeybindingPanel.vue
+++ b/src/components/dialog/content/setting/KeybindingPanel.vue
@@ -295,6 +295,8 @@ async function resetAllKeybindings() {
 </script>
 
 <style scoped>
+@reference '../../../../assets/css/style.css';
+
 :deep(.p-datatable-tbody) > tr > td {
   @apply p-1;
   min-height: 2rem;
diff --git a/src/components/dialog/content/setting/PanelTemplate.vue b/src/components/dialog/content/setting/PanelTemplate.vue
index 160b9a852..d1ff51e35 100644
--- a/src/components/dialog/content/setting/PanelTemplate.vue
+++ b/src/components/dialog/content/setting/PanelTemplate.vue
@@ -2,7 +2,7 @@
   <TabPanel :value="props.value" class="h-full w-full" :class="props.class">
     <div class="flex flex-col h-full w-full gap-2">
       <slot name="header" />
-      <ScrollPanel class="flex-grow h-0 pr-2">
+      <ScrollPanel class="grow h-0 pr-2">
         <slot />
       </ScrollPanel>
       <slot name="footer" />
diff --git a/src/components/dialog/content/signin/SignInForm.vue b/src/components/dialog/content/signin/SignInForm.vue
index 72ac23bc7..d37ee612c 100644
--- a/src/components/dialog/content/signin/SignInForm.vue
+++ b/src/components/dialog/content/signin/SignInForm.vue
@@ -123,6 +123,8 @@ const handleForgotPassword = async (
 </script>
 
 <style scoped>
+@reference '../../../../assets/css/style.css';
+
 .text-link-disabled {
   @apply opacity-50 cursor-not-allowed;
 }
diff --git a/src/components/graph/GraphCanvasMenu.vue b/src/components/graph/GraphCanvasMenu.vue
index 8ecbce724..bd8490321 100644
--- a/src/components/graph/GraphCanvasMenu.vue
+++ b/src/components/graph/GraphCanvasMenu.vue
@@ -5,7 +5,7 @@
     <!-- Backdrop -->
     <div
       v-if="hasActivePopup"
-      class="fixed inset-0 z-[1200]"
+      class="fixed inset-0 z-1200"
       @click="hideModal"
     ></div>
 
@@ -52,7 +52,7 @@
         icon="pi pi-expand"
         :aria-label="fitViewTooltip"
         :style="stringifiedMinimapStyles.buttonStyles"
-        class="hover:dark-theme:!bg-[#444444] hover:!bg-[#E7E6E6]"
+        class="dark-theme:hover:bg-[#444444]! hover:bg-[#E7E6E6]!"
         @click="() => commandStore.execute('Comfy.Canvas.FitView')"
       >
         <template #icon>
@@ -205,27 +205,27 @@ const focusCommandText = computed(() =>
 // Computed properties for button classes and states
 const selectButtonClass = computed(() =>
   isCanvasUnlocked.value
-    ? 'dark-theme:[&:not(:active)]:!bg-[#262729] [&:not(:active)]:!bg-[#E7E6E6]'
+    ? 'not-active:dark-theme:bg-[#262729]! not-active:bg-[#E7E6E6]!'
     : ''
 )
 
 const handButtonClass = computed(() =>
   isCanvasReadOnly.value
-    ? 'dark-theme:[&:not(:active)]:!bg-[#262729] [&:not(:active)]:!bg-[#E7E6E6]'
+    ? 'not-active:dark-theme:bg-[#262729]! not-active:bg-[#E7E6E6]!'
     : ''
 )
 
 const zoomButtonClass = computed(() => [
-  '!w-16',
+  'w-16!',
   isModalVisible.value
-    ? 'dark-theme:[&:not(:active)]:!bg-[#262729] [&:not(:active)]:!bg-[#E7E6E6]'
+    ? 'not-active:dark-theme:bg-[#262729]! not-active:bg-[#E7E6E6]!'
     : '',
-  'hover:dark-theme:!bg-[#262729] hover:!bg-[#E7E6E6]'
+  'dark-theme:hover:bg-[#262729]! hover:bg-[#E7E6E6]!'
 ])
 
 const focusButtonClass = computed(() => ({
-  'hover:dark-theme:!bg-[#262729] hover:!bg-[#E7E6E6]': true,
-  'dark-theme:[&:not(:active)]:!bg-[#262729] [&:not(:active)]:!bg-[#E7E6E6]':
+  'dark-theme:hover:bg-[#262729]! hover:bg-[#E7E6E6]!': true,
+  'not-active:dark-theme:bg-[#262729]! not-active:bg-[#E7E6E6]!':
     workspaceStore.focusMode
 }))
 
@@ -254,9 +254,9 @@ const linkVisibilityAriaLabel = computed(() =>
 )
 const linkVisibleClass = computed(() => [
   linkHidden.value
-    ? 'dark-theme:[&:not(:active)]:!bg-[#262729] [&:not(:active)]:!bg-[#E7E6E6]'
+    ? 'not-active:dark-theme:bg-[#262729]! not-active:bg-[#E7E6E6]!'
     : '',
-  'hover:dark-theme:!bg-[#262729] hover:!bg-[#E7E6E6]'
+  'dark-theme:hover:bg-[#262729]! hover:bg-[#E7E6E6]!'
 ])
 
 onMounted(() => {
diff --git a/src/components/graph/MiniMap.vue b/src/components/graph/MiniMap.vue
index bbf4ef9ae..63b0c85d2 100644
--- a/src/components/graph/MiniMap.vue
+++ b/src/components/graph/MiniMap.vue
@@ -2,7 +2,7 @@
   <div
     v-if="visible && initialized"
     ref="minimapRef"
-    class="minimap-main-container flex absolute bottom-[66px] right-2 md:right-11 z-[1000]"
+    class="minimap-main-container flex absolute bottom-[66px] right-2 md:right-11 z-1000"
   >
     <MiniMapPanel
       v-if="showOptionsPanel"
diff --git a/src/components/graph/modals/ZoomControlsModal.vue b/src/components/graph/modals/ZoomControlsModal.vue
index 6c33d19bf..b649ce6a5 100644
--- a/src/components/graph/modals/ZoomControlsModal.vue
+++ b/src/components/graph/modals/ZoomControlsModal.vue
@@ -1,7 +1,7 @@
 <template>
   <div
     v-if="visible"
-    class="w-[250px] absolute flex justify-center right-2 md:right-11 z-[1300] bottom-[66px] !bg-inherit !border-0"
+    class="w-[250px] absolute flex justify-center right-2 md:right-11 z-1300 bottom-[66px] bg-inherit! border-0!"
   >
     <div
       class="bg-white dark-theme:bg-[#2b2b2b] border border-gray-200 dark-theme:border-gray-700 rounded-lg shadow-lg p-4 w-4/5"
@@ -15,7 +15,7 @@
           :pt="{
             root: {
               class:
-                'flex items-center justify-between cursor-pointer p-2 rounded w-full text-left hover:!bg-transparent focus:!bg-transparent active:!bg-transparent'
+                'flex items-center justify-between cursor-pointer p-2 rounded w-full text-left hover:bg-transparent! focus:bg-transparent! active:bg-transparent!'
             },
             label: {
               class: 'flex flex-col items-start w-full'
@@ -41,7 +41,7 @@
           :pt="{
             root: {
               class:
-                'flex items-center justify-between cursor-pointer p-2 rounded w-full text-left hover:!bg-transparent focus:!bg-transparent active:!bg-transparent'
+                'flex items-center justify-between cursor-pointer p-2 rounded w-full text-left hover:bg-transparent! focus:bg-transparent! active:bg-transparent!'
             },
             label: {
               class: 'flex flex-col items-start w-full'
@@ -67,7 +67,7 @@
           :pt="{
             root: {
               class:
-                'flex items-center justify-between cursor-pointer p-2 rounded w-full text-left hover:!bg-transparent focus:!bg-transparent active:!bg-transparent'
+                'flex items-center justify-between cursor-pointer p-2 rounded w-full text-left hover:bg-transparent! focus:bg-transparent! active:bg-transparent!'
             },
             label: {
               class: 'flex flex-col items-start w-full'
@@ -92,7 +92,7 @@
           :pt="{
             root: {
               class:
-                'flex items-center justify-between cursor-pointer p-2 rounded w-full text-left hover:!bg-transparent focus:!bg-transparent active:!bg-transparent'
+                'flex items-center justify-between cursor-pointer p-2 rounded w-full text-left hover:bg-transparent! focus:bg-transparent! active:bg-transparent!'
             },
             label: {
               class: 'flex flex-col items-start w-full'
@@ -122,7 +122,7 @@
             :show-buttons="false"
             :use-grouping="false"
             :unstyled="true"
-            input-class="flex-1 bg-transparent border-none outline-none text-sm shadow-none my-0 "
+            input-class="flex-1 bg-transparent border-none outline-hidden text-sm shadow-none my-0 "
             fluid
             @input="applyZoom"
             @keyup.enter="applyZoom"
diff --git a/src/components/graph/selectionToolbox/ColorPickerButton.vue b/src/components/graph/selectionToolbox/ColorPickerButton.vue
index 6f930536a..df5a93cf6 100644
--- a/src/components/graph/selectionToolbox/ColorPickerButton.vue
+++ b/src/components/graph/selectionToolbox/ColorPickerButton.vue
@@ -152,6 +152,8 @@ watch(
 </script>
 
 <style scoped>
+@reference '../../../assets/css/style.css';
+
 .color-picker-container {
   transform: translateX(-50%);
 }
diff --git a/src/components/graph/widgets/ChatHistoryWidget.vue b/src/components/graph/widgets/ChatHistoryWidget.vue
index b7d389ed4..fe9c808b9 100644
--- a/src/components/graph/widgets/ChatHistoryWidget.vue
+++ b/src/components/graph/widgets/ChatHistoryWidget.vue
@@ -26,8 +26,8 @@
             "
             text
             rounded
-            class="!p-1 !h-4 !w-4 text-gray-400 hover:text-gray-600 dark-theme:hover:text-gray-200 transition"
-            pt:icon:class="!text-xs"
+            class="p-1! h-4! w-4! text-gray-400 hover:text-gray-600 hover:dark-theme:text-gray-200 transition"
+            pt:icon:class="text-xs!"
             :icon="editIndex === i ? 'pi pi-times' : 'pi pi-pencil'"
             :aria-label="
               editIndex === i ? $t('chatHistory.cancelEdit') : $t('g.edit')
diff --git a/src/components/graph/widgets/DomWidget.vue b/src/components/graph/widgets/DomWidget.vue
index 3da6b6231..11cfafa1c 100644
--- a/src/components/graph/widgets/DomWidget.vue
+++ b/src/components/graph/widgets/DomWidget.vue
@@ -189,6 +189,8 @@ watch(
 </script>
 
 <style scoped>
+@reference '../../../assets/css/style.css';
+
 .dom-widget > * {
   @apply h-full w-full;
 }
diff --git a/src/components/graph/widgets/TextPreviewWidget.vue b/src/components/graph/widgets/TextPreviewWidget.vue
index adf7c042b..a484af879 100644
--- a/src/components/graph/widgets/TextPreviewWidget.vue
+++ b/src/components/graph/widgets/TextPreviewWidget.vue
@@ -5,7 +5,7 @@
     <div class="flex items-center gap-2">
       <div class="flex-1 break-all flex items-center gap-2">
         <span v-html="formattedText"></span>
-        <Skeleton v-if="isParentNodeExecuting" class="!flex-1 !h-4" />
+        <Skeleton v-if="isParentNodeExecuting" class="flex-1! h-4!" />
       </div>
     </div>
   </div>
diff --git a/src/components/graph/widgets/chatHistory/CopyButton.vue b/src/components/graph/widgets/chatHistory/CopyButton.vue
index 9f857ed64..e3cc41323 100644
--- a/src/components/graph/widgets/chatHistory/CopyButton.vue
+++ b/src/components/graph/widgets/chatHistory/CopyButton.vue
@@ -5,8 +5,8 @@
     "
     text
     rounded
-    class="!p-1 !h-4 !w-6 text-gray-400 hover:text-gray-600 dark-theme:hover:text-gray-200 transition"
-    pt:icon:class="!text-xs"
+    class="p-1! h-4! w-6! text-gray-400 hover:text-gray-600 hover:dark-theme:text-gray-200 transition"
+    pt:icon:class="text-xs!"
     :icon="copied ? 'pi pi-check' : 'pi pi-copy'"
     :aria-label="
       copied ? $t('chatHistory.copiedTooltip') : $t('chatHistory.copyTooltip')
diff --git a/src/components/input/MultiSelect.vue b/src/components/input/MultiSelect.vue
index 1dbb53b46..ffafde707 100644
--- a/src/components/input/MultiSelect.vue
+++ b/src/components/input/MultiSelect.vue
@@ -47,7 +47,7 @@
             :label="$t('g.clearAll')"
             type="transparent"
             size="fit-content"
-            class="text-sm !text-blue-500 !dark-theme:text-blue-600"
+            class="text-sm text-blue-500! dark-theme:text-blue-600!"
             @click.stop="selectedItems = []"
           />
         </div>
@@ -77,7 +77,7 @@
     <template #option="slotProps">
       <div class="flex items-center gap-2">
         <div
-          class="flex h-4 w-4 p-0.5 flex-shrink-0 items-center justify-center rounded transition-all duration-200"
+          class="flex h-4 w-4 p-0.5 shrink-0 items-center justify-center rounded transition-all duration-200"
           :class="
             slotProps.selected
               ? 'border-[3px] border-blue-400 bg-blue-400 dark-theme:border-blue-500 dark-theme:bg-blue-500'
@@ -179,7 +179,7 @@ const pt = computed(() => ({
   option: ({ context }: MultiSelectPassThroughMethodOptions) => ({
     class: [
       'flex gap-1 items-center p-2',
-      'hover:bg-neutral-100/50 dark-theme:hover:bg-zinc-700/50',
+      'hover:bg-neutral-100/50 hover:dark-theme:bg-zinc-700/50',
       // Add focus/highlight state for keyboard navigation
       {
         'bg-neutral-100/50 dark-theme:bg-zinc-700/50': context?.focused
diff --git a/src/components/input/SearchBox.vue b/src/components/input/SearchBox.vue
index dcf9212a0..622fc6ff8 100644
--- a/src/components/input/SearchBox.vue
+++ b/src/components/input/SearchBox.vue
@@ -6,7 +6,7 @@
       :placeholder="placeHolder || 'Search...'"
       type="text"
       unstyled
-      class="w-full p-0 border-none outline-none bg-transparent text-xs text-neutral dark-theme:text-white"
+      class="w-full p-0 border-none outline-hidden bg-transparent text-xs text-neutral dark-theme:text-white"
     />
   </div>
 </template>
diff --git a/src/components/input/SingleSelect.vue b/src/components/input/SingleSelect.vue
index 7687a16ea..c46a28a7a 100644
--- a/src/components/input/SingleSelect.vue
+++ b/src/components/input/SingleSelect.vue
@@ -110,7 +110,7 @@ const pt = computed(() => ({
   label: {
     class:
       // Align with MultiSelect labelContainer spacing
-      'flex-1 flex items-center overflow-hidden whitespace-nowrap pl-4 py-2 outline-none'
+      'flex-1 flex items-center overflow-hidden whitespace-nowrap pl-4 py-2 outline-hidden'
   },
   dropdown: {
     class:
@@ -134,7 +134,7 @@ const pt = computed(() => ({
     class: [
       // Row layout
       'flex items-center justify-between gap-3 px-3 py-2',
-      'hover:bg-neutral-100/50 dark-theme:hover:bg-zinc-700/50',
+      'hover:bg-neutral-100/50 hover:dark-theme:bg-zinc-700/50',
       // Selected state + check icon
       { 'bg-neutral-100/50 dark-theme:bg-zinc-700/50': context.selected },
       // Add focus state for keyboard navigation
diff --git a/src/components/install/GpuPicker.vue b/src/components/install/GpuPicker.vue
index 50b866bb9..06275634f 100644
--- a/src/components/install/GpuPicker.vue
+++ b/src/components/install/GpuPicker.vue
@@ -160,6 +160,8 @@ const pickGpu = (value: typeof selected.value) => {
 </script>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 .p-tag {
   --p-tag-gap: 0.5rem;
 }
@@ -184,10 +186,10 @@ div.selected {
 }
 
 .gpu-button {
-  @apply w-1/2 m-0 cursor-pointer rounded-lg flex flex-col items-center justify-around bg-neutral-800 bg-opacity-50 hover:bg-opacity-75 transition-colors;
+  @apply w-1/2 m-0 cursor-pointer rounded-lg flex flex-col items-center justify-around bg-neutral-800/50 hover:bg-neutral-800/75 transition-colors;
 
   &.selected {
-    @apply opacity-100 bg-neutral-700 bg-opacity-50 hover:bg-opacity-60;
+    @apply opacity-100 bg-neutral-700/50 hover:bg-neutral-700/60;
   }
 }
 
diff --git a/src/components/load3d/Load3DControls.vue b/src/components/load3d/Load3DControls.vue
index ce7588a01..2c819aea6 100644
--- a/src/components/load3d/Load3DControls.vue
+++ b/src/components/load3d/Load3DControls.vue
@@ -1,18 +1,15 @@
 <template>
   <div
-    class="absolute top-12 left-2 flex flex-col pointer-events-auto z-20 bg-gray-700 bg-opacity-30 rounded-lg"
+    class="absolute top-12 left-2 flex flex-col pointer-events-auto z-20 bg-gray-700/30 rounded-lg"
   >
     <div class="relative show-menu">
-      <Button
-        class="p-button-rounded p-button-text bg-opacity-30"
-        @click="toggleMenu"
-      >
+      <Button class="p-button-rounded p-button-text" @click="toggleMenu">
         <i class="pi pi-bars text-white text-lg" />
       </Button>
 
       <div
         v-show="isMenuOpen"
-        class="absolute left-12 top-0 bg-black bg-opacity-50 rounded-lg shadow-lg"
+        class="absolute left-12 top-0 bg-black/50 rounded-lg shadow-lg"
       >
         <div class="flex flex-col">
           <Button
@@ -29,7 +26,7 @@
       </div>
     </div>
 
-    <div v-show="activeCategory" class="bg-gray-700 bg-opacity-30 rounded-lg">
+    <div v-show="activeCategory" class="bg-gray-700/30 rounded-lg">
       <SceneControls
         v-if="activeCategory === 'scene'"
         ref="sceneControlsRef"
diff --git a/src/components/load3d/LoadingOverlay.vue b/src/components/load3d/LoadingOverlay.vue
index 3aa46f253..361718d9e 100644
--- a/src/components/load3d/LoadingOverlay.vue
+++ b/src/components/load3d/LoadingOverlay.vue
@@ -2,7 +2,7 @@
   <Transition name="fade">
     <div
       v-if="modelLoading"
-      class="absolute inset-0 bg-black bg-opacity-50 flex items-center justify-center z-50"
+      class="absolute inset-0 bg-black/50 flex items-center justify-center z-50"
     >
       <div class="flex flex-col items-center">
         <div class="spinner" />
diff --git a/src/components/load3d/controls/CameraControls.vue b/src/components/load3d/controls/CameraControls.vue
index cf57a6703..133c992e1 100644
--- a/src/components/load3d/controls/CameraControls.vue
+++ b/src/components/load3d/controls/CameraControls.vue
@@ -18,7 +18,7 @@
       </Button>
       <div
         v-show="showFOV"
-        class="absolute left-12 top-0 bg-black bg-opacity-50 p-4 rounded-lg shadow-lg"
+        class="absolute left-12 top-0 bg-black/50 p-4 rounded-lg shadow-lg"
         style="width: 150px"
       >
         <Slider
diff --git a/src/components/load3d/controls/ExportControls.vue b/src/components/load3d/controls/ExportControls.vue
index efa075097..4f718d448 100644
--- a/src/components/load3d/controls/ExportControls.vue
+++ b/src/components/load3d/controls/ExportControls.vue
@@ -15,7 +15,7 @@
       </Button>
       <div
         v-show="showExportFormats"
-        class="absolute left-12 top-0 bg-black bg-opacity-50 rounded-lg shadow-lg"
+        class="absolute left-12 top-0 bg-black/50 rounded-lg shadow-lg"
       >
         <div class="flex flex-col">
           <Button
diff --git a/src/components/load3d/controls/LightControls.vue b/src/components/load3d/controls/LightControls.vue
index 9a16d5e73..a0665e31d 100644
--- a/src/components/load3d/controls/LightControls.vue
+++ b/src/components/load3d/controls/LightControls.vue
@@ -15,7 +15,7 @@
       </Button>
       <div
         v-show="showLightIntensity"
-        class="absolute left-12 top-0 bg-black bg-opacity-50 p-4 rounded-lg shadow-lg"
+        class="absolute left-12 top-0 bg-black/50 p-4 rounded-lg shadow-lg"
         style="width: 150px"
       >
         <Slider
diff --git a/src/components/load3d/controls/ModelControls.vue b/src/components/load3d/controls/ModelControls.vue
index ac320dddf..b72311689 100644
--- a/src/components/load3d/controls/ModelControls.vue
+++ b/src/components/load3d/controls/ModelControls.vue
@@ -12,7 +12,7 @@
       </Button>
       <div
         v-show="showUpDirection"
-        class="absolute left-12 top-0 bg-black bg-opacity-50 rounded-lg shadow-lg"
+        class="absolute left-12 top-0 bg-black/50 rounded-lg shadow-lg"
       >
         <div class="flex flex-col">
           <Button
@@ -43,7 +43,7 @@
       </Button>
       <div
         v-show="showMaterialMode"
-        class="absolute left-12 top-0 bg-black bg-opacity-50 rounded-lg shadow-lg"
+        class="absolute left-12 top-0 bg-black/50 rounded-lg shadow-lg"
       >
         <div class="flex flex-col">
           <Button
@@ -74,7 +74,7 @@
       </Button>
       <div
         v-show="showEdgeThreshold"
-        class="absolute left-12 top-0 bg-black bg-opacity-50 p-4 rounded-lg shadow-lg"
+        class="absolute left-12 top-0 bg-black/50 p-4 rounded-lg shadow-lg"
         style="width: 150px"
       >
         <label class="text-white text-xs mb-1 block"
diff --git a/src/components/load3d/controls/RecordingControls.vue b/src/components/load3d/controls/RecordingControls.vue
index 92fbf8c24..e7b762a8e 100644
--- a/src/components/load3d/controls/RecordingControls.vue
+++ b/src/components/load3d/controls/RecordingControls.vue
@@ -1,5 +1,5 @@
 <template>
-  <div class="relative bg-gray-700 bg-opacity-30 rounded-lg">
+  <div class="relative bg-gray-700/30 rounded-lg">
     <div class="flex flex-col gap-2">
       <Button
         class="p-button-rounded p-button-text"
diff --git a/src/components/load3d/controls/ViewerControls.vue b/src/components/load3d/controls/ViewerControls.vue
index e5361d78b..96988b9c6 100644
--- a/src/components/load3d/controls/ViewerControls.vue
+++ b/src/components/load3d/controls/ViewerControls.vue
@@ -1,5 +1,5 @@
 <template>
-  <div class="relative bg-gray-700 bg-opacity-30 rounded-lg">
+  <div class="relative bg-gray-700/30 rounded-lg">
     <div class="flex flex-col gap-2">
       <Button class="p-button-rounded p-button-text" @click="openIn3DViewer">
         <i
diff --git a/src/components/maintenance/TaskCard.vue b/src/components/maintenance/TaskCard.vue
index c7e51a1aa..1287169ce 100644
--- a/src/components/maintenance/TaskCard.vue
+++ b/src/components/maintenance/TaskCard.vue
@@ -86,6 +86,8 @@ const isExecuting = useMinLoadingDurationRef(reactiveExecuting, 250)
 </script>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 .task-card-ok {
   @apply text-green-500 absolute -right-4 -bottom-4 opacity-100 row-span-full col-span-full transition-opacity;
 
diff --git a/src/components/node/NodePreview.spec.ts b/src/components/node/NodePreview.spec.ts
index e8e629e75..e52687d42 100644
--- a/src/components/node/NodePreview.spec.ts
+++ b/src/components/node/NodePreview.spec.ts
@@ -76,11 +76,11 @@ describe('NodePreview', () => {
     expect(wrapper.find('._sb_preview_badge').text()).toBe('Preview')
   })
 
-  it('applies overflow-ellipsis class to node header for text truncation', () => {
+  it('applies text-ellipsis class to node header for text truncation', () => {
     const wrapper = mountComponent()
     const nodeHeader = wrapper.find('.node_header')
 
-    expect(nodeHeader.classes()).toContain('overflow-ellipsis')
+    expect(nodeHeader.classes()).toContain('text-ellipsis')
     expect(nodeHeader.classes()).toContain('mr-4')
   })
 
@@ -105,7 +105,7 @@ describe('NodePreview', () => {
     expect(nodeHeader.attributes('title')).toBe(longNameNodeDef.display_name)
 
     // Verify overflow handling classes are applied
-    expect(nodeHeader.classes()).toContain('overflow-ellipsis')
+    expect(nodeHeader.classes()).toContain('text-ellipsis')
 
     // The actual text content should still be the full name (CSS handles truncation)
     expect(nodeHeader.text()).toContain(longNameNodeDef.display_name)
diff --git a/src/components/node/NodePreview.vue b/src/components/node/NodePreview.vue
index e2eb4e9fb..f55c93436 100644
--- a/src/components/node/NodePreview.vue
+++ b/src/components/node/NodePreview.vue
@@ -6,7 +6,7 @@ https://github.com/Nuked88/ComfyUI-N-Sidebar/blob/7ae7da4a9761009fb6629bc04c6830
   <div class="_sb_node_preview">
     <div class="_sb_table">
       <div
-        class="node_header overflow-ellipsis mr-4"
+        class="node_header text-ellipsis mr-4"
         :title="nodeDef.display_name"
         :style="{
           backgroundColor: litegraphColors.NODE_DEFAULT_COLOR,
diff --git a/src/components/searchbox/NodeSearchBox.vue b/src/components/searchbox/NodeSearchBox.vue
index d9ea9b019..bdda7425d 100644
--- a/src/components/searchbox/NodeSearchBox.vue
+++ b/src/components/searchbox/NodeSearchBox.vue
@@ -36,7 +36,7 @@
 
     <AutoCompletePlus
       :model-value="filters"
-      class="comfy-vue-node-search-box z-10 flex-grow"
+      class="comfy-vue-node-search-box z-10 grow"
       scroll-height="40vh"
       :placeholder="placeholder"
       :input-id="inputId"
diff --git a/src/components/searchbox/NodeSearchFilter.vue b/src/components/searchbox/NodeSearchFilter.vue
index ce6049178..339c1882c 100644
--- a/src/components/searchbox/NodeSearchFilter.vue
+++ b/src/components/searchbox/NodeSearchFilter.vue
@@ -68,6 +68,8 @@ const submit = () => {
 </script>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 ._content {
   @apply flex flex-col space-y-2;
 }
diff --git a/src/components/sidebar/SidebarIcon.vue b/src/components/sidebar/SidebarIcon.vue
index 99f380d92..4edce9b5b 100644
--- a/src/components/sidebar/SidebarIcon.vue
+++ b/src/components/sidebar/SidebarIcon.vue
@@ -94,6 +94,8 @@ const computedTooltip = computed(() => t(tooltip) + tooltipSuffix)
 </style>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 .side-bar-button {
   width: var(--sidebar-width);
   height: calc(var(--sidebar-width) + 0.5rem);
diff --git a/src/components/sidebar/tabs/ModelLibrarySidebarTab.vue b/src/components/sidebar/tabs/ModelLibrarySidebarTab.vue
index 42f6a7d76..7f6abba2e 100644
--- a/src/components/sidebar/tabs/ModelLibrarySidebarTab.vue
+++ b/src/components/sidebar/tabs/ModelLibrarySidebarTab.vue
@@ -1,7 +1,7 @@
 <template>
   <SidebarTabTemplate
     :title="$t('sideToolbar.modelLibrary')"
-    class="bg-[var(--p-tree-background)]"
+    class="bg-(--p-tree-background)"
   >
     <template #tool-buttons>
       <Button
diff --git a/src/components/sidebar/tabs/NodeLibrarySidebarTab.vue b/src/components/sidebar/tabs/NodeLibrarySidebarTab.vue
index 533934eaa..3c8bd78ec 100644
--- a/src/components/sidebar/tabs/NodeLibrarySidebarTab.vue
+++ b/src/components/sidebar/tabs/NodeLibrarySidebarTab.vue
@@ -3,7 +3,7 @@
     <SidebarTabTemplate
       v-if="!isHelpOpen"
       :title="$t('sideToolbar.nodeLibrary')"
-      class="bg-[var(--p-tree-background)]"
+      class="bg-(--p-tree-background)"
     >
       <template #tool-buttons>
         <Button
diff --git a/src/components/sidebar/tabs/SidebarTabTemplate.vue b/src/components/sidebar/tabs/SidebarTabTemplate.vue
index c70b2bb8f..8ce323125 100644
--- a/src/components/sidebar/tabs/SidebarTabTemplate.vue
+++ b/src/components/sidebar/tabs/SidebarTabTemplate.vue
@@ -20,8 +20,8 @@
       </Toolbar>
       <slot name="header" />
     </div>
-    <!-- h-0 to force scrollpanel to flex-grow -->
-    <ScrollPanel class="comfy-vue-side-bar-body flex-grow h-0">
+    <!-- h-0 to force scrollpanel to grow -->
+    <ScrollPanel class="comfy-vue-side-bar-body grow h-0">
       <slot name="body" />
     </ScrollPanel>
   </div>
@@ -38,6 +38,8 @@ const props = defineProps<{
 </script>
 
 <style scoped>
+@reference '../../../assets/css/style.css';
+
 :deep(.p-toolbar-end) .p-button {
   @apply py-1 2xl:py-2;
 }
diff --git a/src/components/sidebar/tabs/WorkflowsSidebarTab.vue b/src/components/sidebar/tabs/WorkflowsSidebarTab.vue
index 761cd1569..adefb762f 100644
--- a/src/components/sidebar/tabs/WorkflowsSidebarTab.vue
+++ b/src/components/sidebar/tabs/WorkflowsSidebarTab.vue
@@ -1,7 +1,7 @@
 <template>
   <SidebarTabTemplate
     :title="$t('sideToolbar.workflows')"
-    class="workflows-sidebar-tab bg-[var(--p-tree-background)]"
+    class="workflows-sidebar-tab bg-(--p-tree-background)"
   >
     <template #tool-buttons>
       <Button
diff --git a/src/components/sidebar/tabs/nodeLibrary/NodeHelpPage.vue b/src/components/sidebar/tabs/nodeLibrary/NodeHelpPage.vue
index 8f251aec3..a1da62b4f 100644
--- a/src/components/sidebar/tabs/nodeLibrary/NodeHelpPage.vue
+++ b/src/components/sidebar/tabs/nodeLibrary/NodeHelpPage.vue
@@ -1,7 +1,7 @@
 <template>
-  <div class="flex flex-col h-full bg-[var(--p-tree-background)] overflow-auto">
+  <div class="flex flex-col h-full bg-(--p-tree-background) overflow-auto">
     <div
-      class="px-3 py-2 flex items-center border-b border-[var(--p-divider-color)]"
+      class="px-3 py-2 flex items-center border-b border-(--p-divider-color)"
     >
       <Button
         v-tooltip.bottom="$t('g.back')"
@@ -12,7 +12,7 @@
       />
       <span class="ml-2 font-semibold">{{ node.display_name }}</span>
     </div>
-    <div class="p-4 flex-grow node-help-content w-full mx-auto">
+    <div class="p-4 grow node-help-content w-full mx-auto">
       <ProgressSpinner
         v-if="isLoading"
         class="m-auto"
@@ -118,7 +118,9 @@ const outputList = computed(() =>
 )
 </script>
 
-<style scoped lang="postcss">
+<style scoped>
+@reference './../../../../assets/css/style.css';
+
 .node-help-content :deep(:is(img, video)) {
   @apply max-w-full h-auto block mb-4;
 }
diff --git a/src/components/sidebar/tabs/nodeLibrary/NodeTreeLeaf.vue b/src/components/sidebar/tabs/nodeLibrary/NodeTreeLeaf.vue
index d9546086f..1f1d782f3 100644
--- a/src/components/sidebar/tabs/nodeLibrary/NodeTreeLeaf.vue
+++ b/src/components/sidebar/tabs/nodeLibrary/NodeTreeLeaf.vue
@@ -133,6 +133,8 @@ onUnmounted(() => {
 </script>
 
 <style scoped>
+@reference '../../../../assets/css/style.css';
+
 .node-lib-node-container {
   @apply h-full w-full;
 }
diff --git a/src/components/topbar/CommandMenubar.vue b/src/components/topbar/CommandMenubar.vue
index 56e06ac10..a64b2e4ba 100644
--- a/src/components/topbar/CommandMenubar.vue
+++ b/src/components/topbar/CommandMenubar.vue
@@ -313,6 +313,8 @@ const hasActiveStateSiblings = (item: MenuItem): boolean => {
 </script>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 :deep(.p-menubar-submenu.dropdown-direction-up) {
   @apply top-auto bottom-full flex-col-reverse;
 }
